## Apache Zeta Components Manual :: Docs For Class ezcWorkflowVisitorVerification

### Workflow::ezcWorkflowVisitorVerification

### Class ezcWorkflowVisitorVerification

An implementation of the ezcWorkflowVisitor interface that verifies a workflow specification.

This visitor should not be used directly but will be used by the verify() method on the workflow.

1. <?php
2. $workflow->verify();
3. ?>

The verifier checks that:

- there is only one start node
- there is only one finally node
- each node satisfies the constraints of the respective node type

Source for this file: /Workflow/src/visitors/verification.php

    ezcWorkflowVisitor
       |
       --ezcWorkflowVisitorVerification

Version: | //autogen//

### Member Variables

protected integer | `$numFinallyNodes = 0` Holds the number of finally nodes encountered during visiting.
protected integer | `$numStartNodes = 0` Holds the number of start nodes encountered during visiting.

### Inherited Member Variables

From ezcWorkflowVisitor
protected | `ezcWorkflowVisitor::$visited`

### Method Summary

protected void | `doVisit( $visitable )` Perform the visit.

### Inherited Methods

From ezcWorkflowVisitor
public ezcWorkflowVisitor | `ezcWorkflowVisitor::__construct()` Constructor.
public integer | `ezcWorkflowVisitor::count()` Returns the number of visited nodes.
protected void | `ezcWorkflowVisitor::doVisit()` Perform the visit.
public bool | `ezcWorkflowVisitor::visit()` Visit the $visitable.

### Methods

#### doVisit

void doVisit( ezcWorkflowVisitable $visitable )

Perform the visit.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitable` | ezcWorkflowVisitable |

##### Redefinition of:

Method | Description
--- | ---
`ezcWorkflowVisitor::doVisit()` | Perform the visit.

Documentation generated by phpDocumentor 1.4.3